libzypp: zypp::PoolQueryAttr Struct Reference

libzypp 17.25.10

Public Member Functions | Static Public Attributes | Private Attributes | Friends | List of all members
zypp::PoolQueryAttr Struct Reference

represents all atributes in PoolQuery except SolvAtributes, which are used as is (not needed extend anything if someone adds new solv attr) More...

Inheritance diagram for zypp::PoolQueryAttr:
[legend]

## Public Member Functions
| PoolQueryAttr ()
| PoolQueryAttr (const char *cstr_r)
| PoolQueryAttr (const std::string &str_r)
Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context `( ! empty() )`. More...
| operator IdString () const
| Explicit conversion to IdString. More...
| operator std::string () const
| Explicit conversion to std::string. More...
int | compare (const PoolQueryAttr &rhs) const
int | compare (const IdStringType &rhs) const
int | compare (const IdString &rhs) const
int | compare (const std::string &rhs) const
int | compare (const char *rhs) const

## Static Public Attributes
static const PoolQueryAttr | noAttr
static const PoolQueryAttr | repoAttr
static const PoolQueryAttr | kindAttr
static const PoolQueryAttr | stringAttr
static const PoolQueryAttr | stringTypeAttr
static const PoolQueryAttr | requireAllAttr
static const PoolQueryAttr | caseSensitiveAttr
static const PoolQueryAttr | installStatusAttr
static const PoolQueryAttr | editionAttr
static const PoolQueryAttr | complexAttr

## Private Attributes
IdString | _str

## Friends
class | IdStringType< PoolQueryAttr >

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< PoolQueryAttr >
typedef IdString::IdType | IdType
Static Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
static int | compare (const PoolQueryAttr &lhs, const PoolQueryAttr &rhs)
static int | compare (const PoolQueryAttr &lhs, const IdString &rhs)
static int | compare (const PoolQueryAttr &lhs, const std::string &rhs)
static int | compare (const PoolQueryAttr &lhs, const char *rhs)
static int | compare (const IdString &lhs, const PoolQueryAttr &rhs)
static int | compare (const IdString &lhs, const IdString &rhs)
static int | compare (const IdString &lhs, const std::string &rhs)
static int | compare (const IdString &lhs, const char *rhs)
static int | compare (const std::string &lhs, const PoolQueryAttr &rhs)
static int | compare (const std::string &lhs, const IdString &rhs)
static int | compare (const std::string &lhs, const std::string &rhs)
static int | compare (const std::string &lhs, const char *rhs)
static int | compare (const char *lhs, const PoolQueryAttr &rhs)
static int | compare (const char *lhs, const IdString &rhs)
static int | compare (const char *lhs, const std::string &rhs)
static int | compare (const char *lhs, const char *rhs)
Protected Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
| IdStringType ()
| IdStringType (const IdStringType &)
void | operator= (const IdStringType &)
| ~IdStringType ()
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()
Related Functions inherited from zypp::IdStringType< PoolQueryAttr >
std::ostream & | operator<< (std::ostream &str, const IdStringType< PoolQueryAttr > &obj)
| Stream output. More...
bool | operator== (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Equal. More...
bool | operator!= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| NotEqual. More...
bool | operator< (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Less. More...
bool | operator<= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| LessEqual. More...
bool | operator> (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Greater. More...
bool | operator>= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| GreaterEqual. More...

## Detailed Description

represents all atributes in PoolQuery except SolvAtributes, which are used as is (not needed extend anything if someone adds new solv attr)

Definition at line 1056 of file PoolQuery.cc.

## Constructor & Destructor Documentation

## ◆ PoolQueryAttr() [1/3]

zypp::PoolQueryAttr::PoolQueryAttr | ( |  | ) |
| inline

Definition at line 1064 of file PoolQuery.cc.

## ◆ PoolQueryAttr() [2/3]

zypp::PoolQueryAttr::PoolQueryAttr | ( | const char * | cstr_r | ) |
| inlineexplicit

Definition at line 1066 of file PoolQuery.cc.

## ◆ PoolQueryAttr() [3/3]

zypp::PoolQueryAttr::PoolQueryAttr | ( | const std::string & | str_r | ) |
| inlineexplicit

Definition at line 1070 of file PoolQuery.cc.

## Friends And Related Function Documentation

## ◆ IdStringType< PoolQueryAttr >

friend class IdStringType< PoolQueryAttr >
| friend

Definition at line 720 of file PoolQuery.cc.

## Member Data Documentation

## ◆ _str

IdString zypp::PoolQueryAttr::_str
| private

Definition at line 1060 of file PoolQuery.cc.

## ◆ noAttr

const PoolQueryAttr zypp::PoolQueryAttr::noAttr
| static

Definition at line 1075 of file PoolQuery.cc.

## ◆ repoAttr

const PoolQueryAttr zypp::PoolQueryAttr::repoAttr
| static

Definition at line 1078 of file PoolQuery.cc.

## ◆ kindAttr

const PoolQueryAttr zypp::PoolQueryAttr::kindAttr
| static

Definition at line 1079 of file PoolQuery.cc.

## ◆ stringAttr

const PoolQueryAttr zypp::PoolQueryAttr::stringAttr
| static

Definition at line 1080 of file PoolQuery.cc.

## ◆ stringTypeAttr

const PoolQueryAttr zypp::PoolQueryAttr::stringTypeAttr
| static

Definition at line 1081 of file PoolQuery.cc.

## ◆ requireAllAttr

const PoolQueryAttr zypp::PoolQueryAttr::requireAllAttr
| static

Definition at line 1082 of file PoolQuery.cc.

## ◆ caseSensitiveAttr

const PoolQueryAttr zypp::PoolQueryAttr::caseSensitiveAttr
| static

Definition at line 1083 of file PoolQuery.cc.

## ◆ installStatusAttr

const PoolQueryAttr zypp::PoolQueryAttr::installStatusAttr
| static

Definition at line 1084 of file PoolQuery.cc.

## ◆ editionAttr

const PoolQueryAttr zypp::PoolQueryAttr::editionAttr
| static

Definition at line 1085 of file PoolQuery.cc.

## ◆ complexAttr

const PoolQueryAttr zypp::PoolQueryAttr::complexAttr
| static

Definition at line 1086 of file PoolQuery.cc.

The documentation for this struct was generated from the following file:

- zypp/PoolQuery.cc